Skip to navigation

Get Shifts by Company

View as Markdown
Beta Phase

This resource is in closed beta. Paylocity Technology Partners interested may contact the marketplace team to explore early adopter opportunities at marketplaceapisupport@paylocity.com

Summary Description

The GET Shifts API endpoint provides seamless access to detailed shift information for employees. This endpoint retrieves comprehensive shift data, serving as an essential tool for viewing, analyzing, and managing employee work schedules

The use cases:

  • The Shifts API allows the manager to access current shift details in real-time, enabling quick adjustments to staffing levels based on demand. This ensures optimal coverage and improves customer service
  • By utilizing the Shifts API, track shift details such as start and end times, tasks performed, and any overtime worked. This data helps in analyzing worker productivity and identifying trends for performance improvement

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

AcceptstringOptional

Query parameters

includestringOptional

The sub-resources to include in the response.
- sub-resources: breaks, draft, segments, note

filterstringOptional

A parseable filter expression involving fields, operators, and values to filter the result list by.
- fields: startDateTime, positionKey
- operators: eq, in, lt, gt, le, ge, and, or

includeTotalCountstringOptional

When provided and set to true will cause the API to return the X-Pcty-Total-Count header in the response which will be set to the total number of resources available even if only a subset of those were returned. The default is false.

limitstringOptional
The maximum number of resources to include in the response. The default is 25.
offsetstringOptional
The number of resources to skip when returning paginated results. The default is 0.
sortstringOptional

A comma-separated, xpath-like formatting string that identifies the fields that you want the API to use for sorting the resources when they are returned. The default value can vary from API to API.

Response

Successful response